Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Class FilterCriteria

    java.lang.Object
      com.bea.content.spi.FilterCriteria

All Implemented Interfaces
  Serializable

Deprecated As of 10.2, replaced by `FilterCriteria`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. Oracle does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public class FilterCriteria

extends Object
implements Serializable

query filter criteria

See Also
  Serialized Form

Field Summary
`static FilterCriteria` | `UNFILTERED` Deprecated

Constructor Summary
`FilterCriteria()` Deprecated Construct a FilterCriteria using FilterCriteria.UNFILTERED.
`FilterCriteria(boolean filterResults, String filterValue, FilterMethod filterMethod, String property, Locale locale)` Deprecated Construct a FilterCriteria.

Method Summary
`boolean` | `equals(Object obj)` Deprecated
`boolean` | `filterResults()` Deprecated Get the filter results value.
`FilterMethod` | `getFilterMethod()` Deprecated Get the filter method.
`String` | `getFilterValue()` Deprecated Get the filter value.
`Locale` | `getLocale()` Deprecated Get the locale.
`String` | `getProperty()` Deprecated Get the filter property name.
`int` | `hashCode()` Deprecated Override the hashCode because we override equals().
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNFILTERED

    public static final FilterCriteria UNFILTERED

  Deprecated

Constructor Detail

### FilterCriteria

    public FilterCriteria(boolean filterResults,
                          String filterValue,
                          FilterMethod filterMethod,
                          String property,
                          Locale locale)

  Deprecated
  Construct a FilterCriteria.

  Parameters
    `filterResults` - True if the containing QueryResult object has filtered the results.
    `filterValue` - The filter string value.
    `filterMethod` - The filter method.
    `property` - The filter property name.
    `locale` - The locale.

### FilterCriteria

    public FilterCriteria()

  Deprecated
  Construct a FilterCriteria using FilterCriteria.UNFILTERED.

Method Detail

### filterResults

    public boolean filterResults()

  Deprecated
  Get the filter results value.

  Returns
    The filter results value.

### getFilterValue

    public String getFilterValue()

  Deprecated
  Get the filter value.

  Returns
    The filter value.

### getFilterMethod

    public FilterMethod getFilterMethod()

  Deprecated
  Get the filter method.

  Returns
    The filter method.

### getProperty

    public String getProperty()

  Deprecated
  Get the filter property name.

  Returns
    The filter property name.

### getLocale

    public Locale getLocale()

  Deprecated
  Get the locale.

  Returns
    The locale.

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Override the hashCode because we override equals().

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.